List all webhooks
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/webhooks \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/webhooks"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"url": "<string>",
"name": "<string>",
"subscriptions": [
"conversation_created"
],
"secret": "<string>",
"account_id": 123
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Webhooks
List all webhooks
List all webhooks in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
webhooks
List all webhooks
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/webhooks \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/webhooks"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"url": "<string>",
"name": "<string>",
"subscriptions": [
"conversation_created"
],
"secret": "<string>",
"account_id": 123
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Response
Success
The ID of the webhook
The url to which the events will be send
The name of the webhook
The list of subscribed events
Available options:
conversation_created, conversation_status_changed, conversation_updated, contact_created, contact_updated, message_created, message_updated, webwidget_triggered, conversation_typing_on, conversation_typing_off Secret used to sign webhook requests. Signed webhook deliveries include X-Yampi-Timestamp and X-Yampi-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Yampi-Delivery when a delivery id is available.
The id of the account which the webhook object belongs to